Package org.jbpm.process.instance.impl

## Class XPATHReturnValueEvaluator

- java.lang.Object
- - org.jbpm.process.instance.impl.XPATHReturnValueEvaluator

- All Implemented Interfaces:
    `Externalizable`, `Serializable`, `ReturnValueEvaluator`

      public class XPATHReturnValueEvaluator
      extends Object
      implements ReturnValueEvaluator, Externalizable

  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `XPATHReturnValueEvaluator()` |
    `XPATHReturnValueEvaluator​(String expression, String id)` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `Object` | `evaluate​(org.kie.api.runtime.process.ProcessContext context)` |
    `String` | `getDialect()` |
    `void` | `readExternal​(ObjectInput in)` |
    `String` | `toString()` |
    `void` | `writeExternal​(ObjectOutput out)` |

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### XPATHReturnValueEvaluator

          public XPATHReturnValueEvaluator()

    - #### XPATHReturnValueEvaluator

          public XPATHReturnValueEvaluator​(String expression,
                                           String id)

  - ### Method Detail

    - #### readExternal

          public void readExternal​(ObjectInput in)
                            throws IOException,
                                   ClassNotFoundException

      Specified by:
        `readExternal` in interface `Externalizable`
      Throws:
        `IOException`
        `ClassNotFoundException`

    - #### writeExternal

          public void writeExternal​(ObjectOutput out)
                             throws IOException

      Specified by:
        `writeExternal` in interface `Externalizable`
      Throws:
        `IOException`

    - #### getDialect

          public String getDialect()

    - #### evaluate

          public Object evaluate​(org.kie.api.runtime.process.ProcessContext context)
                          throws Exception

      Specified by:
        `evaluate` in interface `ReturnValueEvaluator`
      Throws:
        `Exception`

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Object`